%global debug_package %{nil}

Name: python-iniconfig
Epoch: 100
Version: 1.1.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Brain-dead simple config-ini parsing
License: MIT
URL: https://github.com/pytest-dev/iniconfig/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
iniconfig is a small and simple INI-file parser module. 

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-iniconfig
Summary: Brain-dead simple config-ini parsing
Requires: python3
Provides: python3-iniconfig = %{epoch}:%{version}-%{release}
Provides: python3dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(iniconfig) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-iniconfig
iniconfig is a small and simple INI-file parser module. 

%files -n python%{python3_version_nodots}-iniconfig
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-iniconfig
Summary: Brain-dead simple config-ini parsing
Requires: python3
Provides: python3-iniconfig = %{epoch}:%{version}-%{release}
Provides: python3dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(iniconfig) = %{epoch}:%{version}-%{release}

%description -n python3-iniconfig
iniconfig is a small and simple INI-file parser module. 

%files -n python3-iniconfig
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-iniconfig
Summary: Brain-dead simple config-ini parsing
Requires: python3
Provides: python3-iniconfig = %{epoch}:%{version}-%{release}
Provides: python3dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(iniconfig) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-iniconfig = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(iniconfig) = %{epoch}:%{version}-%{release}

%description -n python3-iniconfig
iniconfig is a small and simple INI-file parser module.

%files -n python3-iniconfig
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
